<?php

namespace App\Models;

use App\User;
use App\Models\Suppliers;
use App\Models\Postulations;
use App\Models\CurrentContracts;
use App\Models\FinishedContracts;
use Illuminate\Database\Eloquent\Model;

class Categories extends Model
{
    protected $fillable = [
        'name',
        'en_name'
    ];

    public $timestamps = false;

    public function suppliers()
    {
        return $this->hasMany(Suppliers::class);
    }

    public function postulations()
    {
        return $this->hasMany(Postulations::class);
    }

    public function currentcontracts()
    {
        return $this->hasMany(CurrentContracts::class);
    }

    public function finishedcontracts()
    {
        return $this->hasMany(FinishedContracts::class);
    }
}
